SbOctTreeFuncs Struct Reference

`#include <Inventor/SbOctTree.h>`

## Public Attributes

SbBool(* | ptinsidefunc )(void *const item, const SbVec3f &pt)
SbBool(* | insideboxfunc )(void *const item, const SbBox3f &box)
SbBool(* | insidespherefunc )(void *const item, const SbSphere &sphere)
SbBool(* | insideplanesfunc )(void *const item, const SbPlane *const planes, const int numplanes)

## Detailed Description

The SbOctTreeFuncs struct is used to specify callback functions for working with items in an SbOctTree.

The only function pointer that must be set up is `insideboxfunc`. The other functions must be set if you intend to use the corresponding find methods in SbOctTree.

## Member Data Documentation

## ptinsidefunc

SbBool(* SbOctTreeFuncs::ptinsidefunc) (void *const item, const SbVec3f &pt)

Should return whether a point is inside item.

## insideboxfunc

SbBool(* SbOctTreeFuncs::insideboxfunc) (void *const item, const SbBox3f &box)

Should return whether item is either fully or partially inside a box.

## insidespherefunc

SbBool(* SbOctTreeFuncs::insidespherefunc) (void *const item, const SbSphere &sphere)

Should return whether item is either fully or partially inside a sphere.

## insideplanesfunc

SbBool(* SbOctTreeFuncs::insideplanesfunc) (void *const item, const SbPlane *const planes, const int numplanes)

Should return whether item is either fully or partially inside a set of planes.

The documentation for this struct was generated from the following files:

- SbOctTree.h
- SbOctTree.cpp